XT-CUSTOMIZE-IMAGE(8)

NAME
xt-customize-image - Customize a freshly installed copy of GNU/Linux

SYNOPSIS
  xt-customize-image [options]

  Help Options:
   --help     Show this scripts help information.
   --manual   Read this scripts manual.
   --version  Show the version number and exit.

  Debugging Options:
   --verbose  Be verbose in our execution.

  Mandatory Options:
   --location The location of the new installation
   --dist     The name of the distribution which has been installed.

  All other options from xen-create-image, such as the new IP address(es)
 to give to the new instance, will be passed as environmental variables.

NOTES
  This script is invoked by xen-create-image after it has created a
 fresh installation of Linux within a temporary location.

  This script will be invoked with a full copy of the arguments from
 xen-create-image in its environment, along with several command line
 arguments.

  The command line arguments which are mandatory are:

   --location  - The temporary installation root of the new install
   --dist      - The distribution which has been installed.

HOOK SCRIPTS
  The distribution name is used to locate an appropriate collection
 of scripts, or hooks, to execute to do the actual customisation.

  The hooks will each be executed with a single parameter which is
 the directory path to the new instance.  This argument is taken from
 the --location option.

  For the distribution named 'foo' the scripts will be loaded and
 executed from '/usr/share/xen-tools/foo.d'.  Each executable will
 be loaded and executed in sorted order.

  The systems administrator can optionally provide site-specific
 revisions of those same hooks by placing them in the directory
 '/etc/xen-tools/hooks.d/' in which case a script with the same name
 as the one in the 'foo.d' directory above will take precedence. In
 this way certain hooks can be prevented from running, expanded with
 site-specific features which won't get overwritten on upgrades, or
 patched with critical bug-fixes before the upstream OS distribution
 provider reacts.

AUTHORS
 Steve Kemp, https://steve.fi/
 Axel Beckert, https://axel.beckert.ch/
 Stéphane Jourdois

LICENSE
Copyright (c) 2005-2009 by Steve Kemp, (c) 2010 by The Xen-Tools Development Team. All rights reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The LICENSE file contains the full text of the license.